Subject: Re: bug#12045: 24.1.50; semantic :: Debugger entered--Lisp error: (wrong-type-argument syntax-table-p nil)

From: David Engster <[email-masked]>
Date: Wed, 25 Jul 2012 23:13:00 +0200

Jambunathan K. writes:
> I am exploring semantic for the first time.
>
> 1. runemacs.exe -Q
> 2. Visit your favorite library.  M-x find-library RET org-odt.el RET
> 3. M-x semantic-mode RET
> 4. C-c , j (With cursor on "some" symbol)
> 5. Note the following error.  Either some interesting thing should
>    happen or a useful message should be echoed.
>
> Debugger entered--Lisp error: (wrong-type-argument syntax-table-p nil)

I'm pretty sure I've fixed this bug some time ago in the upstream CEDET
version from bzr, so it should get fixed in Emacs proper when we do the
next merge for Emacs 24.2. If you'd like to test the upstream version,
read here

http://cedet.sourceforge.net/bzr-repo.shtml

on how to get it.

-David